This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 508342 - yum gives localized grouplist results, but cannot do groupinfo with them.
yum gives localized grouplist results, but cannot do groupinfo with them.
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 12:38 EDT by Kirby Zhou
Modified: 2014-01-21 01:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kirby Zhou 2009-06-26 12:38:15 EDT
Description of problem:


Version-Release number of selected component (if applicable):

yum-3.2.19-18.el5

How reproducible:

100%

Steps to Reproduce:
1.yum grouplist
2.yum groupinfo 
3.yum groupinstall
  
Actual results:

[@12.113 ~]# locale
LANG=en_US
LC_CTYPE=zh_CN.gbk
LC_NUMERIC="en_US"
LC_TIME="en_US"
LC_COLLATE="en_US"
LC_MONETARY="en_US"
LC_MESSAGES="en_US"
LC_PAPER="en_US"
LC_NAME="en_US"
LC_ADDRESS="en_US"
LC_TELEPHONE="en_US"
LC_MEASUREMENT="en_US"
LC_IDENTIFICATION="en_US"
LC_ALL=
[@12.113 ~]# yum grouplist
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Group Process
Installed Groups:
   Windows 文件服务器
   万维网服务器
   基于文本的互联网
   开发库
   服务器配置工具
   管理工具
   系统工具
   编辑器
   网络服务器
   老的网络服务器
   老的软件开发
   老的软件支持
   邮件服务器
Available Groups:
   DNS 名称服务器
   FTP 服务器
   GNOME 桌面环境
   GNOME 软件开发
   Java开发
   KDE 软件开发
   KDE (K 桌面环境)
   Minimal Install
   MySQL 数据库
   OpenFabrics 企业版发行
   PostgreSQL 数据库
   X 窗口系统
   X 软件开发
   办公/生产率
   图形
   图形化互联网
   工程和科学
   开发工具
   打印支持
   授权和出版
   新闻服务器
   游戏和娱乐
   群集存储
   虚拟化
   视频和音频
   集群
Done
[@12.113 ~]# yum groupinfo 虚拟化
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Group Process
Warning: Group 虚拟化 does not exist.
[@12.113 ~]# 

Expected results:

'yum grouplist' DO NOT output localized group name

Additional info:
Comment 1 seth vidal 2009-06-26 12:44:25 EDT
Can you try it again but adding quotes to the string:

yum groupinfo "虚拟化"

b/c that seems to work for me.
Comment 2 James Antill 2009-06-26 14:16:28 EDT
 Can you run:

#! /usr/bin/python -tt

import sys

print "args:", len(sys.argv), sys.argv
for i in sys.argv[1]:
 print i, type(i), ord(i)

...with the argument and paste the output, for instance at my terminal here I get:

args: 2 ['/tmp/t.py', '???']
? <type 'str'> 63
? <type 'str'> 63
? <type 'str'> 63

...ie. something in the terminal pipe throws a fit and replaces all the kani with ascii '?' characters. If not quoted this is then expanded by the shell into any file in the current dir. with only three characters in it.
 If quoted yum will match to any group which has only three characters (base is one).
Comment 3 Kirby Zhou 2009-06-26 21:59:39 EDT
[root@xen-727057^63.230 ~]# yum groupinfo  "虚拟化"
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Group Process
Warning: Group 虚拟化 does not exist.

[root@xen-727057^63.230 ~]# ./x.py  虚拟化
args: 2 ['./x.py', '\xd0\xe9\xc4\xe2\xbb\xaf']
?<type 'str'> 208
?<type 'str'> 233
?<type 'str'> 196
?<type 'str'> 226
?<type 'str'> 187
?<type 'str'> 175
Comment 4 Kirby Zhou 2009-06-27 22:12:28 EDT
BTW: I donot think yum should output localized messages when only LC_CTYPE be set with zh_CN. LC_MESSAGES should be considered instead of LC_CTYPE.
Comment 5 Doug SIkora 2010-09-28 16:02:59 EDT
issue still exists in rhel5 u5 +  (x86_64) 

yum groupinfo "Office/Productivity"  does not expand to list all packages in the group

same goes for yum groupinfo "Games and Entertainment"  only lists default Package (Joystick)
Comment 6 James Antill 2013-03-12 16:38:57 EDT
 This should be fixed in RHEL-6.

Note You need to log in before you can comment on or make changes to this bug.